# Ogre::TangentSpaceCalc::IndexRemap Struct Reference

Information about a remapped index. More...

`#include <OgreTangentSpaceCalc.h>`

List of all members.

## Public Member Functions

| IndexRemap (size_t i, size_t f, const VertexSplit &s)

## Public Attributes

size_t | indexSet
| Index data set (can be >0 if more than one index data was added).
size_t | faceIndex
| The position in the index buffer that's affected.
VertexSplit | splitVertex
| The old and new vertex index.

## Detailed Description

Information about a remapped index.

Definition at line 52 of file OgreTangentSpaceCalc.h.

## Constructor & Destructor Documentation

Ogre::TangentSpaceCalc::IndexRemap::IndexRemap | ( | size_t | i,
|  | size_t | f,
|  | const VertexSplit & | s |
| ) |  |  |

Definition at line 61 of file OgreTangentSpaceCalc.h.

## Member Data Documentation

size_t Ogre::TangentSpaceCalc::IndexRemap::indexSet

Index data set (can be >0 if more than one index data was added).

Definition at line 55 of file OgreTangentSpaceCalc.h.

Referenced by Ogre::TangentSpaceCalc::remapIndexes().

size_t Ogre::TangentSpaceCalc::IndexRemap::faceIndex

The position in the index buffer that's affected.

Definition at line 57 of file OgreTangentSpaceCalc.h.

Referenced by Ogre::TangentSpaceCalc::remapIndexes().

VertexSplit Ogre::TangentSpaceCalc::IndexRemap::splitVertex

The old and new vertex index.

Definition at line 59 of file OgreTangentSpaceCalc.h.

Referenced by Ogre::TangentSpaceCalc::remapIndexes().

The documentation for this struct was generated from the following file:

- OgreTangentSpaceCalc.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:36:32 2009